Subject: Re: [PATCH net-next 2/2] vrf: run conntrack only in context of lower/physdev for locally generated packets

From: Florian Westphal <[email-masked]>
Date: Fri, 22 Oct 2021 02:04:51 +0200

Florian Westphal <[email-masked]> wrote:
> Eugene Crosser <[email-masked]> wrote:
> > In  such case 'set_untrackd' will do nothing, but 'reset_ct' will clear
> > UNTRACKED status that was set elswhere. It seems wrong, am I missing something?
> 
> No, thats the catch.  I can't find a better option.

To clarify, existing code has unconditional reset, so existing rulesets
that set 'notrack' in the first (vrf) round do not affect the second
round.

This feature/bug would remain, which sucks but I can't think of a saner
alternative.